Settings/Observability Server Operations
POSTObservability Server OperationsSince 5.3.28SynchronousAuth Required
CreateObservabilityServer
CreateObservabilityServer
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Request Inputs
Body Fields
paramsObjectRequiredRequest body parameter object.
nameStringRequiredThe resource name.
observabilityServerOfferingUuidStringRequiredNo description provided.
descriptionStringOptional. The resource description.
zoneUuidStringOptional. The zone UUID.
clusterUuidStringOptional. The cluster UUID.
hostUuidStringOptional. The host UUID.
primaryStorageUuidForRootVolumeStringOptional.
rootVolumeSystemTagsListOptional.
resourceUuidStringOptional. The resource UUID.
tagUuidsListOptional. The tag UUID list.
systemTagsListOptional. The system tag.
userTagsListOptional. The user tag.
Responses
Endpoint
POST/zstack/v1/observability-servers
/zstack/v1/observability-servers
Request Example
curl -X POST 'http://{host}/zstack/v1/observability-servers' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"params":{"name":"<name>","observabilityServerOfferingUuid":"<observabilityServerOfferingUuid>","description":"<description>","zoneUuid":"<zoneUuid>","clusterUuid":"<clusterUuid>","hostUuid":"<hostUuid>","primaryStorageUuidForRootVolume":"<primaryStorageUuidForRootVolume>","rootVolumeSystemTags":["<rootVolumeSystemTags>"],"resourceUuid":"<resourceUuid>","tagUuids":["<tagUuids>"]},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'
Response Example
200{ "inventory": {} }Change History
This API has no change history records yet.
